Name:		awesome
Version:	2.1
Release:	1%{?dist}
Summary:	Extremely fast, small, dynamic and awesome tiling window manager

Group:		User Interface/X
License:	GPLv2+
URL:		http://awesome.naquadah.org/
Source0:	http://awesome.naquadah.org/download/%{name}-%{version}.tar.bz2
Source2:	%{name}.desktop
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libconfuse-devel >= 2.6
BuildRequires:  libXft-devel
BuildRequires:  cairo-devel
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	libXrandr-devel
BuildRequires:	libXext-devel
BuildRequires:	libXinerama-devel


%description
awesome is a tiling window manager initialy based on a dwm code
rewriting. It's extremely fast, small, dynamic and awesome.

Windows can be managed in several layouts: tiled, maximized and
floating. Each layout can be applied on the fly, optimizing the
environment for the application in use and the task performed.

Managing windows in tiled mode assures that no space will be wasted on
your screen. No gaps, no overlap.


%prep
%setup -q


%build
%{configure} INSTALL="%{__install} -p"
%{__make} %{?_smp_mflags} AWESOME_CFLAGS="-Wall -Wextra -Werror"


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__install} -m 0755 -d %{buildroot}%{_datadir}/xsessions/
%{__install} -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/xsessions/

%{__rm} -f "%{buildroot}/usr/share/doc/awesome/"{README,STYLE,awesomerc}


%check
%{__make} check installcheck DESTDIR="%{buildroot}"


%clean
rm -rf %{buildroot}


%define iconlayoutdir %{_datadir}/%{name}/icons/layouts
%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc README
%doc STYLE
%doc LICENSE
%doc awesomerc
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_mandir}/man1/%{name}-client.1.gz
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/awesomerc.1.gz
%{_datadir}/xsessions/%{name}.desktop
%{iconlayoutdir}/dwindle.png
%{iconlayoutdir}/dwindlew.png
%{iconlayoutdir}/floating.png
%{iconlayoutdir}/floatingw.png
%{iconlayoutdir}/max.png
%{iconlayoutdir}/maxw.png
%{iconlayoutdir}/spiral.png
%{iconlayoutdir}/spiralw.png
%{iconlayoutdir}/tile.png
%{iconlayoutdir}/tileleft.png
%{iconlayoutdir}/tileleftw.png
%{iconlayoutdir}/tilew.png


%changelog
* Mon Jan 21 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.1-1
- Update to awesome-2.1 release.

* Tue Dec 11 2007 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.0-0.24
- Initial Fedora package.

